From e72553a7ea2c7ba0634cc3afcd27a9f7cfef089c Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Sun, 14 Jun 2020 22:19:24 +0200
Subject: [PATCH] Fix build with Qt 5.15 (missing QPainterPath include)

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 src/Features/Feature.h | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/Features/Feature.h b/src/Features/Feature.h
index 52fd3044..f466a5a9 100644
--- a/src/Features/Feature.h
+++ b/src/Features/Feature.h
@@ -8,8 +8,10 @@ class Feature;
 #include "MapView.h"
 #include "FeaturePainter.h"
 
-#include <QtCore/QString>
 #include <QList>
+#include <QPainter>
+#include <QPainterPath>
+#include <QString>
 
 #define CAST_FEATURE(x) (dynamic_cast<Feature*>(x))
 #define CAST_NODE(x) (dynamic_cast<Node*>(x))
-- 
2.27.0

